> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model schema

> Get a model's schema including required inputs, outputs, and available operators. Useful for discovering what inputs a simulation needs.



## OpenAPI

````yaml GET /models/{model_id}/schema
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /models/{model_id}/schema:
    get:
      summary: Get model schema
      description: >-
        Get a model's schema including required inputs, outputs, and available
        operators. Useful for discovering what inputs a simulation needs.
      operationId: get-model-schema
      parameters:
        - name: model_id
          in: path
          description: Model friendly ID (e.g., mdl_abc123def456)
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    model:
                      id: mdl_abc123def456
                      name: Carbon Calculation Model
                      version: 1
                    required_inputs:
                      - slug: feedstock-volume
                        name: Feedstock Volume
                        type: numeric
                        unit: kg
                        description: Volume of feedstock processed
                    outputs:
                      - id: 1
                        name: Net Carbon Removal
                        unit: t
                        ghg: co2e
                        lca_role: net
                    operators:
                      - add
                      - subtract
                      - multiply
                      - divide
                    example_simulation:
                      inputs:
                        feedstock-volume: 1000
                      start_time: '2025-01-01T00:00:00Z'
                      end_time: '2025-03-31T23:59:59Z'
              schema:
                type: object
                properties:
                  model:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      version:
                        type: integer
                  required_inputs:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                        name:
                          type: string
                        type:
                          type: string
                        unit:
                          type: string
                        description:
                          type: string
                  outputs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        unit:
                          type: string
                        ghg:
                          type: string
                        lca_role:
                          type: string
                  operators:
                    type: array
                    items:
                      type: string
                  example_simulation:
                    type: object
                    properties:
                      inputs:
                        type: object
                        additionalProperties:
                          type: number
                      start_time:
                        type: string
                      end_time:
                        type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````